﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="AwStatsTotals.Totals" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>AWStats Totals</title>
    <style type="text/css">
        .left                    { text-align: left}
        .right                   { text-align: right}
        .top                     { vertical-align: top}
		#statsContainer table    { width: 500px; padding: 2px; background-color: Gray; }
		#statsContainer th       { font-family: Verdana; font-size: 11px; font-weight: normal; color: #000000; padding-left: 8px; padding-right: 8px; background-color: #C0C0C0 }
		#statsContainer td       { font-family: Verdana; font-size: 11px; font-weight: normal; color: #000000; padding-left: 8px; padding-right: 8px; }
		#statsContainer a        { font-family: Verdana; font-size: 11px; color: #000000; }
		#statsContainer a:hover	 {  }
		#statsContainer .0	     { background-color: #e8e8e8;  }
		#statsContainer .1	     { background-color: #f0f0f0;  }
		#statsContainer a.th     { font-family: Verdana; font-size: 11px; color: #ffffff; }
	</style>

</head>
<body>
    <form id="form1" runat="server">
        <table border="0">
            <tr>
                 <td rowspan="3" style="vertical-align:top; width:200px;">
                    <asp:treeview ID="tvTotals" runat="server"></asp:treeview>
                </td>
            </tr>
            <tr>
                <td style="vertical-align:top">
                    <asp:Literal runat="server" ID="litCurrentMonthYear"></asp:Literal>
                </td>
                <td class="right">
                    <asp:Literal runat="server" ID="litGenerated"></asp:Literal><br />
                </td>
            </tr>
            <tr>
                <td colspan="2" class="top">
                    <asp:ListView ID="lvTotals" runat="server" OnItemDataBound="lvTotalsDataBound" ItemPlaceholderID="ClientListPlaceHolder" OnLayoutCreated="lvTotalsLayoutCreated" style="">
                        <LayoutTemplate>
                                <table id="statsContainer" width="700" cellpadding="2" cellspacing="1" border="0" align="center" style="border: 1px solid #ececec;">
                                    <thead>
	                                    <tr>
		                                    <th width="40%" class="left"><b><asp:HyperLink runat="server" ID="hlHostHeader"></asp:HyperLink></b></th>
		                                    <th width="20%" class="right"><b><asp:HyperLink runat="server" ID="hlBandwidth"></asp:HyperLink></b></th>
		                                    <th width="15%" class="right"><b><asp:HyperLink runat="server" ID="hlVisits"></asp:HyperLink></b></th>
		                                    <th width="15%" class="right"><b><asp:HyperLink runat="server" ID="hlPages"></asp:HyperLink></b></th>
		                                    <th width="10%" class="right"><b><asp:HyperLink runat="server" ID="hlHits"></asp:HyperLink></b></th>
	                                    </tr>
                                    </thead>
                                    <tbody>
                                        <asp:PlaceHolder ID="ClientListPlaceHolder" runat="server"></asp:PlaceHolder>
                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th width="40%" class="left"><b>Totals</b></th>
		                                    <th width="20%" class="right"><b><asp:Literal runat="server" ID="litBandwidth"></asp:Literal></b></th>
		                                    <th width="15%" class="right"><b><asp:Literal runat="server" ID="litVisits"></asp:Literal></b></th>
		                                    <th width="15%" class="right"><b><asp:Literal runat="server" ID="litPages"></asp:Literal></b></th>
		                                    <th width="10%" class="right"><b><asp:Literal runat="server" ID="litHits"></asp:Literal></b></th>
                                        </tr>
                                    </tfoot>
                                </table>
                        </LayoutTemplate>
                        <ItemTemplate>
                            <tr class="0">
			                    <td align="left"><asp:HyperLink runat="server" ID="hlHostHeader" /></td>
			                    <td align="right"><asp:Literal runat="server" ID="litBandwidth" /></td>
			                    <td align="right"><asp:Literal runat="server" ID="litVisits" /></td>
			                    <td align="right"><asp:Literal runat="server" ID="litPages" /></td>
			                    <td align="right"><asp:Literal runat="server" ID="litHits" /></td>
		                    </tr>
                        </ItemTemplate>
                    </asp:ListView>
                </td>
             </tr>
        </table>
    </form>
</body>
</html>
